local originalCreateUI = CreateUI
local originalOnSelectionChanged = OnSelectionChanged

function CreateUI(isReplay)
    originalCreateUI(isReplay)
	
	local armiesInfo = GetArmiesTable()
	local factionIndex = armiesInfo.armiesTable[armiesInfo.focusArmy].faction
	import('/mods/radialmenu/hook/lua/modules/ui/game/radialmenu.lua').SetFaction(factionIndex)
	radialparent = import('/lua/modules/ui/game/gamemain.lua').GetGameParent()
	import('/mods/radialmenu/hook/lua/modules/ui/game/radialmenu.lua').CreateGroup(radialparent, 200, 200)
end


function OnSelectionChanged(oldSelection, newSelection, added, removed)
    originalOnSelectionChanged(oldSelection, newSelection, added, removed)
    local currentOrders = GetUnitCommandData(newSelection)
    import('/mods/radialmenu/hook/lua/modules/ui/game/radialmenu.lua').SetAvailableOrders(currentOrders, newSelection)
end